<?php

/**
 * This file contains the \QUI\Controls\Buttons\Separator
 */

namespace QUI\Controls\Buttons;

use QUI;
use QUI\Controls\Toolbar\Bar;

/**
 * Button Separator
 *
 * @author  www.pcsg.de (Henning Leutz)
 */
class Separator extends QUI\QDOM
{
    /**
     * the Parent Object
     *
     * @var ?Bar
     */
    private ?Bar $Parent = null;

    /**
     * Constructor
     *
     * @param array $settings
     */
    public function __construct(array $settings)
    {
        $this->setAttribute('type', 'QUI\\Controls\\Buttons\\Separator');
        $this->setAttributes($settings);
    }

    /**
     * Set the Parent
     *
     * @param Bar $Parent
     */
    public function setParent(Bar $Parent): void
    {
        $this->Parent = $Parent;
    }

    /**
     * get the name attribute
     *
     * @return string
     */
    public function getName(): string
    {
        return $this->getAttribute('name');
    }
}
