<?php

/**
 * This file contains \QUI\Controls\Select\Option
 */

namespace QUI\Controls\Select;

use QUI;

/**
 * Option
 * Child element for a Select instance
 *
 * @author  www.pcsg.de (Henning Leutz)
 */
class Option extends QUI\QDOM
{
    /**
     * Parent object
     *
     * @var Select
     */
    private Select $Parent;

    /**
     * constructor
     *
     * @param array $settings
     */
    public function __construct(array $settings)
    {
        $this->setAttributes($settings);
    }

    /**
     * Set the parent
     *
     * @param Select $parent
     */
    public function setParent(Select $parent): void
    {
        $this->Parent = $parent;
    }

    /**
     * Return the name
     *
     * @return string
     */
    public function getName(): string
    {
        return $this->getAttribute('name');
    }
}
