<?php

/**
 * This file contains \QUI\Controls\Select\Select
 */

namespace QUI\Controls\Select;

use QUI;
use QUI\Controls\Toolbar\Bar;

/**
 * Select Element
 *
 * @author www.pcsg.de (Henning Leutz)
 */
class Select extends QUI\QDOM
{
    /**
     * Parent Object
     *
     * @var ?Bar
     */
    private ?Bar $Parent = null;

    /**
     * Sub items
     *
     * @var array
     */
    private array $items = [];

    /**
     * constructor
     *
     * @param array $settings
     */
    public function __construct(array $settings)
    {
        $this->setAttributes($settings);
    }

    /**
     * Add an option
     *
     * @param Option $Option
     */
    public function appendChild(Option $Option): void
    {
        $Option->setParent($this);
        $this->items[] = $Option;
    }

    /**
     * Set the parent
     *
     * @param Bar $parent
     */
    public function setParent(Bar $parent): void
    {
        $this->Parent = $parent;
    }

    /**
     * Returns the name
     *
     * @return string
     */
    public function getName(): string
    {
        return $this->getAttribute('name');
    }

    /**
     * Enter description here...
     *
     * @return array
     */
    public function getChildren(): array
    {
        return $this->items;
    }
}
