<?php

/**
 * This file contains the \QUI\Controls\Sitemap\Item
 */

namespace QUI\Controls\Sitemap;

use QUI;

/**
 * SitemapItem
 *
 * @author  www.pcsg.de (Henning Leutz)
 */
class Item extends QUI\QDOM
{
    /**
     * items / children
     *
     * @var array
     */
    private array $items = [];

    /**
     * parent object
     */
    private ?Map $Parent = null;

    /**
     * Constructor
     *
     * @param array $settings
     */
    public function __construct(array $settings = [])
    {
        $this->setAttributes($settings);
    }

    /**
     * Set the parent
     *
     * @param Map $Parent
     */
    public function setParent(Map $Parent): void
    {
        $this->Parent = $Parent;
    }

    /**
     * Returns the name
     *
     * @return string
     */
    public function getName(): string
    {
        return $this->getAttribute('name');
    }

    /**
     * Add a child / item
     *
     * @param Item $itm
     */
    public function appendChild(Item $itm): void
    {
        $this->items[] = $itm;
    }

    /**
     * Return the map as an array
     *
     * @return array
     */
    public function toArray(): array
    {
        $result = $this->getAttributes();
        $children = [];

        foreach ($this->items as $Item) {
            $children[] = $Item->toArray();
        }

        $result['items'] = $children;

        return $result;
    }
}
