<?php

/**
 * This file contains the \QUI\Controls\Toolbar\Tab
 */

namespace QUI\Controls\Toolbar;

use QUI;

/**
 * A Toolbar Tab
 *
 * @author  www.pcsg.de (Henning Leutz)
 */
class Tab extends QUI\QDOM
{
    /**
     * The Parent object
     *
     * @var Bar
     */
    private Bar $Parent;

    /**
     * Constructor
     *
     * @param array $attributes
     */
    public function __construct(array $attributes)
    {
        $this->setAttributes($attributes);
    }

    /**
     * Set the Parent
     *
     * @param Bar $Parent
     */
    public function setParent(Bar $Parent): void
    {
        $this->Parent = $Parent;
    }

    /**
     * Get the name attribute from the control
     *
     * @return string
     */
    public function getName(): string
    {
        return $this->getAttribute('name');
    }
}
